#ifndef FRACTALDRAWER_H
#define FRACTALDRAWER_H

#include <QMainWindow>
#include "fractals.h"

class QLabel;
class QScrollArea;
class QMenu;
class QAction;
class QToolBar;


class FractalDrawer : public QMainWindow
{
    Q_OBJECT
    QLabel *lblImage;
    QScrollArea *scrollArea;
    QAction *actDraw;
    QAction *actAbort;
    QAction *actQuit;
    QAction *actPreferences;
    QMenu *mnuFractal;
    QMenu *mnuTools;
    QToolBar *toolBar;
    quint16 w, h; //16bit unsigned int - width and height
    Real x1, x2, y1, y2;
    Real cRe, cIm;
    quint16 iters; //number of iterations
    quint16 exponent; //for Mandelbrot set
    bool aborted;
    void setupForm();
    void setupActions();
    void setupConnections();

public:
    FractalDrawer(QWidget *parent = nullptr);
    ~FractalDrawer();
private slots:
    void draw();
    void abort();
    void configure();
};
#endif // FRACTALDRAWER_H
